Package tigase.stats

## Class ErrorsStatisticsProvider

- java.lang.Object
- - tigase.stats.ErrorsStatisticsProvider

- All Implemented Interfaces:
    `javax.management.DynamicMBean`

      public class ErrorsStatisticsProvider
      extends java.lang.Object
      implements javax.management.DynamicMBean

  Author:
    andrzej

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ErrorsStatisticsProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​java.lang.String>` | `getAllStats()` |
    `java.lang.Object` | `getAttribute​(java.lang.String attribute)` |
    `javax.management.AttributeList` | `getAttributes​(java.lang.String[] attributeNames)` |
    `javax.management.MBeanInfo` | `getMBeanInfo()` |
    `java.lang.Object` | `invoke​(java.lang.String actionName, java.lang.Object[] params, java.lang.String[] signature)` |
    `void` | `setAttribute​(javax.management.Attribute attribute)` |
    `javax.management.AttributeList` | `setAttributes​(javax.management.AttributeList attributes)` |
    `void` | `update​(StatisticsProvider sp)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorsStatisticsProvider

          public ErrorsStatisticsProvider()

  - ### Method Detail

    - #### update

          public void update​(StatisticsProvider sp)

    - #### getAttribute

          public java.lang.Object getAttribute​(java.lang.String attribute)
                                        throws javax.management.AttributeNotFoundException,
                                               javax.management.MBeanException,
                                               javax.management.ReflectionException

      Specified by:
        `getAttribute` in interface `javax.management.DynamicMBean`
      Throws:
        `javax.management.AttributeNotFoundException`
        `javax.management.MBeanException`
        `javax.management.ReflectionException`

    - #### setAttribute

          public void setAttribute​(javax.management.Attribute attribute)
                            throws javax.management.AttributeNotFoundException,
                                   javax.management.InvalidAttributeValueException,
                                   javax.management.MBeanException,
                                   javax.management.ReflectionException

      Specified by:
        `setAttribute` in interface `javax.management.DynamicMBean`
      Throws:
        `javax.management.AttributeNotFoundException`
        `javax.management.InvalidAttributeValueException`
        `javax.management.MBeanException`
        `javax.management.ReflectionException`

    - #### getAttributes

          public javax.management.AttributeList getAttributes​(java.lang.String[] attributeNames)

      Specified by:
        `getAttributes` in interface `javax.management.DynamicMBean`

    - #### setAttributes

          public javax.management.AttributeList setAttributes​(javax.management.AttributeList attributes)

      Specified by:
        `setAttributes` in interface `javax.management.DynamicMBean`

    - #### invoke

          public java.lang.Object invoke​(java.lang.String actionName,
                                         java.lang.Object[] params,
                                         java.lang.String[] signature)
                                  throws javax.management.MBeanException,
                                         javax.management.ReflectionException

      Specified by:
        `invoke` in interface `javax.management.DynamicMBean`
      Throws:
        `javax.management.MBeanException`
        `javax.management.ReflectionException`

    - #### getAllStats

          public java.util.Map<java.lang.String,​java.lang.String> getAllStats()
                                                                             throws javax.management.MBeanException,
                                                                                    javax.management.ReflectionException

      Throws:
        `javax.management.MBeanException`
        `javax.management.ReflectionException`

    - #### getMBeanInfo

          public javax.management.MBeanInfo getMBeanInfo()

      Specified by:
        `getMBeanInfo` in interface `javax.management.DynamicMBean`